// Programme BME280
// Branchements sur un Arduino UNO :
// Vcc -> 3V3
// GND -> GND
// SCL -> 13
// SDA -> 11
// CSB -> 10
// SDO -> 12
// Attention, il faut installer les bibliotheques Adafruit_Sensor.h et Adafruit_BME280.h ! (les autres sont inclues)

//----------- LIBRAIRIES -----------

#include <Wire.h>
#include <SPI.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>

//----------- BRANCHEMENTS -----------

#define BME_SCK 13
#define BME_MISO 12
#define BME_MOSI 11
#define BME_CS 10

//----------- GRANDEURS -----------

#define SEALEVELPRESSURE_HPA (1013.25) 

//----------- LIAISON SPI -----------

Adafruit_BME280 bme(BME_CS, BME_MOSI, BME_MISO, BME_SCK); 

//----------- FONCTION SETUP -----------

void setup() {
    Serial.begin(9600); 	// communication serial
    while(!Serial);   		// attente de la communication
    bme.begin();  		// initialisation du capteur
}

//----------- FONCTION LOOP -----------

void loop() { 
    float T = bme.readTemperature(); 	// mesure de la temperature, pression, altitude et humidite
    float P = bme.readPressure() / 100.0F;
    float A = bme.readAltitude(SEALEVELPRESSURE_HPA);
    float RH = bme.readHumidity();
    
    Serial.print("Temperature = "); 	// affichage des grandeurs sur la liaison serial
    Serial.print(T);
    Serial.println(" °C");

    Serial.print("Pressure = ");
    Serial.print(P);
    Serial.println(" hPa");

    Serial.print("Approx. Altitude = ");
    Serial.print(A);
    Serial.println(" m");

    Serial.print("Humidity = ");
    Serial.print(RH);
    Serial.println(" %");

    Serial.println();
        
    delay(1000); 	// attente de 1s
} 
